<div class="all">
    <section class="">
        <div class="container">
            <div class="page-title-content">
                <h1 *ngIf="!lang">Cart</h1>
                <h1 *ngIf="lang">السلة</h1>
            </div>
        </div>
    
       
    </section>
    
    <section class="cart-area ptb-100 " >
        <div class="container">
            <form>
                <div class="product-infinitescroll" *ngIf="!finished" >
                    <div class="theme-paggination-block">
                        <div class="container-fluid p-0">
                        <div class="row">
                            <div class="text-center col-sm-12">
                            <div class="infinite-scrolling mt-4 mb-4 d-inline-block">
                                <img src="../../../../assets/img/myImage/loader3.png" >
                            </div>
                            </div>
                        </div>
                        </div>
                    </div>
                </div>
                <div style=" margin: 0px; text-align: center;"  *ngIf="cartempty">
                    <img src="./../../../../assets/img/myImage/icon-empty-cart.png">
                    <br>
                    <h3 style="color: white;margin-top: 1%;">{{'cartempty' | translate }}</h3>
                    </div>
                <div class="table-responsive" *ngIf="finished && !cartempty">
    
                    <table class="table table-bordered"  [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                        <thead>
                            <tr>
                                <th scope="col">{{'img' | translate }}</th>
                                <th scope="col">{{'name' | translate }}</th>
                               
                                <th scope="col" *ngIf="!lang"> cost</th>
                                <th scope="col" *ngIf="lang">الكلفة</th>
                                <th scope="col">{{'quantity'| translate }}</th>
                                <th scope="col">{{'delete' | translate }}</th>
                            </tr>
                        </thead>
                    
                        <tbody>
                           
                            <tr  class="aa" *ngFor="let cart of myorder"  >
                                <td class="product-thumbnail">
                                    <a >
                                        <img src="{{cart.service.avatar}}" alt="item"  style="width: 20%; ">
                                    </a>
                                </td>
    
                                <td class="product-thumbnail" *ngIf="lang">
                                   {{cart.service.name_ar}}
                                </td>
                                <td class="product-thumbnail" *ngIf="!lang">
                                    {{cart.service.name_en}}
                                 </td>
                              
                                <td class="product-thumbnail">
                                    {{cart.cost}}
                                    <!-- <div class="input-counter">
                                        <span class="minus-btn"><i class='bx bx-minus'></i></span>
                                        <input type="text" min="1" value="1">
                                        <span class="plus-btn"><i class='bx bx-plus'></i></span>
                                    </div> -->
                                </td>
    
                              
    
                                <td class="product-thumbnail">
                                    {{cart.quantity}}
                                </td>
                                <td class="product-thumbnail" style="cursor: pointer;">
                                    <a class="danger delete mr-1 mrless"><i  id="loader{{cart.id}}" class="fa fa-cog fa-spin" hidden></i><i id="delete{{cart.id}}" class="fa fa-trash" (click)="delete(cart.id)" style="color: red;"></i></a>
                               
                                </td>
                                <!-- <td class="product-thumbnail" *ngIf="lang">
                                    {{cart.service.short_description_ar}}
                                </td>
                                <td class="product-thumbnail" *ngIf="!lang">
                                    {{cart.service.short_description_en}}
                                </td> -->
                            </tr>
    
                           
    
                        
                           
                        </tbody>
                    </table>
                </div>
    
                <div class="cart-buttons" *ngIf="!cartempty">
                    <div class="row " [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                       
                        <div class="" (click)="deleteallservice()" style="cursor: pointer;">
                           <a  class="default-btn" style="color: white;">{{'de' | translate }}
                            <i   class="fa fa-cog fa-spin" *ngIf="loaddeletall" ></i>    <i  class="fa fa-trash" *ngIf="!loaddeletall"></i>
                           </a>
                        </div>
                    </div>
                </div>
    
                <div class="cart-totals" *ngIf="!cartempty" style="height: 230px;">
                    <h3  [ngStyle]="{'text-align': lang ?  'right': 'left' }"
                    style="color: rgb(13,72,108)">{{'total_cost' | translate }}</h3>
    
                    <ul>
                        <li [ngStyle]="{'text-align': lang ?  'right': 'left' }"
                        style="color: rgb(0,173,238)"> {{total_cost}}</li>
                      
                    </ul>
                    <div class="row">
                        <div class="col-6">
                            <div >
                                <button  class="default-btn" (click)="checkout()">
                                 <a  style="color: white;">{{'Checkout' | translate }} </a><i   class="fa fa-cog fa-spin" *ngIf="loading2" ></i> 
                             </button>
                         </div>
                        </div>
                        <div class="col-6" style="padding-left: 13%;">
                            <div data-toggle="modal" data-target="#exampleModalCenter"  style="cursor: pointer;">
                                <a  class="default-btn a" style="color: white;width: 170px;
                                margin-left: -17px;">{{'useoffer' | translate }}
                            
                                </a>
                             </div>
                        </div>
                       
                    </div>
          
    
                
                </div>
            </form>
            <button  class="default-btn" *ngIf="!lang"  routerLink="/purches" style="float: left;">
                Date of services purchased
              
            </button>
            <button  class="default-btn"  *ngIf="lang"   routerLink="/purches" style="float: right;">
    
                فواتير الخدمات المشتراة
            </button>
        </div>
    </section>



    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content">
            <div class="modal-header" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
              <h6 class="modal-title" id="exampleModalLongTitle" style="color: rgb(0,173,238)"  > {{'enter code' | translate }}</h6>
              <!-- <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button> -->
            </div>
            <div class="modal-body">
                
                <input type="email" class="form-control" id="code" placeholder="{{'code' | translate }}" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }" >
              <p *ngIf="lang && codenull" style="color: red;float: right;">يرجى إخال الرمز</p>  
              <p *ngIf="!lang && codenull" style="color: red;float: left;">  please enter code</p>  
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal" style="    height: 46px;">{{'close' | translate }}</button>
              <button type="button" class="default-btn" (click)="useoffer()">{{'send' | translate }}
                <i class="fa fa-cog fa-spin" style="color: white;" *ngIf="loading1"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
</div>




